<?php

/**
 * Description of Enviromentclass
 *
 * @author Pawel
 */
class Enviroment {

    public static function CheckMagicQuotes() {
	return get_magic_quotes_gpc();
    }

    public static function CheckSoapClient() {
	if(class_exists('SoapClient')) {
	    return true;
	} else {
	    return false;
	}
    }

    public static function CheckGDSupport() {
	if (extension_loaded('gd') && function_exists('gd_info')){
	    return true;
	} else {
	    return false;
	}
    }

	public static function CheckMemcache() {
		if(class_exists('Memcache')) {
			return true;
		} else {
			return false;
		}
	}

}
?>